Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.client.remote
Class ClobDomainCharacterOutputStream

`java.lang.Object
java.io.Writer
oracle.jbo.client.remote.ClobDomainCharacterOutputStream`

public class ClobDomainCharacterOutputStream
extends java.io.Writer

The AttributeDefHelper class implement the AttributeDef interface

Version:
  INTERNAL
See Also:
  `RowImpl`

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`ClobDomainCharacterOutputStream(Transaction am, DomainOwnerInterface row, java.lang.String id)`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(char[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.io.Writer
`write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClobDomainCharacterOutputStream

    public ClobDomainCharacterOutputStream(Transaction am,
                                           DomainOwnerInterface row,
                                           java.lang.String id)

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### flush

    public void flush()

### write

    public void write(char[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.